package scenario

import (
	"code.ur.gs/lupine/ordoor/internal/maps"
)

type CellPoint struct {
	IsoPt
	Z int
}

func (s *Scenario) CellAtCursor() (maps.Cell, CellPoint) {
	cell := s.area.Cell(int(s.selectedCell.X), int(s.selectedCell.Y), 0)
	return cell, CellPoint{IsoPt: s.selectedCell, Z: 0}
}

func (s *Scenario) ChangeZIdx(by int) {
	newZ := s.ZIdx + by
	if newZ < 0 {
		newZ = 0
	}

	if newZ > 6 {
		newZ = 6
	}

	s.ZIdx = newZ
}
